Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159640 - proc and sysctl interface for lockd grace period do not work
Summary: proc and sysctl interface for lockd grace period do not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-06-06 13:57 UTC by kiran mehta
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:22:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description kiran mehta 2005-06-06 13:57:10 UTC
Description of problem: 
if value of grace period is echoed in /proc/sys/fs/nfs/nlm_grace_period 
or if sysctl -w fs.nfs.nlm_graceperiod=<grace period> is executed ,  
grace period is not set 
 
Version: 
Linux vcslinux117.vxindia.veritas.com 2.6.9-6.37.ELsmp #1 SMP Tue Mar 29 
15:46:31 EST 2005 x86_64 x86_64 x86_64 GNU/Linux 
 
 
Version-Release number of selected component (if applicable): 
nfs-utils-1.0.6-46 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. echo 90 > /proc/sys/fs/nfs/nlm_grace_period 
2. cat /proc/sys/fs/nfs/nlm_grace_period 
3. Nothing is seen in the file 
4. Similar problem is seen with sysctl interface   
Actual results: 
  cat /proc/sys/fs/nfs/nlm_grace_period  
  Nothing displayed 
 
 
Expected results: 
          #cat /proc/sys/fs/nfs/nlm_grace_period 
          90 
 
Additional info:

Comment 1 kiran mehta 2005-06-06 15:02:25 UTC
could not find any code related to setting grace period in  
nfs-utils-1.0.6.src.rpm 

Comment 2 Suzanne Hillman 2005-06-06 19:50:36 UTC
As you have set this to high severity, which presumably implies some urgency,
please either contact Red Hat's Technical Support line at 888-REDHAT-1 or file a
web ticket at http://www.redhat.com/apps/support/.  Bugzilla is not an official
support channel, has no response guarantees, and may not route your issue to the
correct area to assist you.  Using the official support channels above will
guarantee that your issue is handled appropriately and routed to the individual
or group which can best assist you with this issue and will also allow Red Hat
to track the issue, ensuring that any applicable bug fix is included in all
releases and is not dropped from a future update or major release.

Comment 4 Steve Dickson 2005-06-07 14:28:18 UTC
Well 'sysctl -w fs.nfs.nlm_grace_period=90'
then 'cat /proc/sys/fs/nfs/nlm_grace_period' seems
to show the correct value. But I will agree the documentation
about this is a bit lacking....



Comment 5 kiran mehta 2005-06-07 14:46:22 UTC
Please see output of some of the command.
This is RHEL4 U1 machine

[root@vcslinux117 ~]# sysctl  -w fs.nfs.nlm_grace_period=90
error: unknown error 22 setting key 'fs.nfs.nlm_grace_period'
[root@vcslinux117 ~]# uname -a
Linux vcslinux117.vxindia.veritas.com 2.6.9-6.37.ELsmp #1 SMP Tue Mar 29 
15:46:31 EST 2005 x86_64 x86_64 x86_64 GNU/Linux
[root@vcslinux117 ~]# sysctl  -a | grep nlm
sunrpc.nlm_debug = 65535
error: unknown error 22 reading key 'net.ipv6.route.flush'
error: unknown error 22 reading key 'net.ipv4.route.flush'
error: unknown error 22 reading key 'fs.nfs.nlm_timeout'
error: unknown error 22 reading key 'fs.nfs.nlm_grace_period'
error: unknown error 22 reading key 'fs.binfmt_misc.register'
fs.nfs.nlm_tcpport = 0
fs.nfs.nlm_udpport = 0
[root@vcslinux117 ~]#  sysctl  -w fs.nfs.nlm_grace_period=90
error: unknown error 22 setting key 'fs.nfs.nlm_grace_period'
[root@vcslinux117 ~]# ps -ef | grep nfs
root      5589     1  0 14:26 ?        00:00:00 [nfsd]
root      6423  6363  0 20:01 pts/1    00:00:00 grep nfs
[root@vcslinux117 ~]# cat /proc/sys/fs/nfs/nlm_grace_period
[root@vcslinux117 ~]# cat /proc/sys/fs/nfs/nlm_grace_period
[root@vcslinux117 ~]#


Comment 6 Steve Dickson 2005-06-07 15:29:10 UTC
Ok... I did miss the fact you were using an x86_64 and its
definitely machine architecture since these commands work 
on an x86.

Comment 15 Bryan Mason 2005-09-30 23:02:49 UTC
Hi Kiran - A beta kernel which we believe resolves this issue is available on
the Red Hat partners FTP site (partners.redhat.com) and the Red Hat Network
(rhn.redhat.com).  Can you download one of the new kernels and see if it
resolves your problem?  Thanks.

Comment 17 Red Hat Bugzilla 2005-10-05 13:22:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.